## org.eclipse.emf.cdo.eresource.impl
Class CDOResourceFactoryImpl

    java.lang.Object
      org.eclipse.emf.cdo.eresource.impl.CDOResourceFactoryImpl

All Implemented Interfaces:
  CDOResourceFactory, org.eclipse.emf.ecore.resource.Resource.Factory

    public class CDOResourceFactoryImpl

extends java.lang.Object
implements org.eclipse.emf.ecore.resource.Resource.Factory, CDOResourceFactory

Field Summary
`static CDOResourceFactory` `eINSTANCE`

Constructor Summary
`CDOResourceFactoryImpl()`

Method Summary
`org.eclipse.emf.ecore.resource.Resource` `createResource(org.eclipse.emf.common.util.URI uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eINSTANCE

    public static final CDOResourceFactory eINSTANCE

Since:
  2.0

Constructor Detail

### CDOResourceFactoryImpl

    public CDOResourceFactoryImpl()

Method Detail

### createResource

    public org.eclipse.emf.ecore.resource.Resource createResource(org.eclipse.emf.common.util.URI uri)

  Specified by:
    `createResource` in interface `org.eclipse.emf.ecore.resource.Resource.Factory`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.